indexing

   title:       "Abstract Element structure for FORMAT_TABLE class";
   cluster:     "format/science [format/science]";
   project:     "The Universal Simple Formatting Library (USFL)";
   copyright:   "SIG Computer, 1995";
   author:      "Andy Malakov  (andy@eiffel.ru) and";
   original:    08,Sep,1995;
   version:     1.0;
   last_change:
   done_at:     "SIG Computer (info@eiffel.ru)";
   extrnl_name: "fmt_elem.e"

class FORMAT_TABLE_ELEMENT

   creation make

   feature

      sample : ANY
      fmt : ABSTRACT_FORMATTER
      default_format : STRING

      ----------------------------------------------------------------
      make ( a_sample : ANY;
             a_fmt : ABSTRACT_FORMATTER;
             a_default_format : STRING;
           ) is
         require
            a_default_format /= Void and a_sample /= Void
         do
            set_default_format ( a_default_format )
            sample := a_sample
            fmt := a_fmt
         end
      ----------------------------------------------------------------
      set_default_format ( a_default_format : STRING ) is
         do
            default_format := a_default_format
         end

end -- class FORMAT_TABLE_ELEMENT

